// pages/groupPage/collage-details/collage-details.js
import httpRequestApi from '../../../utils/APIClient';
import util from '../../../utils/util';
Page({

  /**
   * 页面的初始数据
   */
  data: {
    hideFlag: true,
    surplusNum: '',
    joinUserList: [],
    surplusList: [],
    timeList: [],
    productId: '',
    orderId: '',
    groupId: '',
    content: [
      {
          text: "转发给自己的朋友们，分享好课，",
          color: "#000"
      },
      {
          text: " 追随您一起学习进步。您的魅力不是吹的！",
          color: "#000"
      },
      {
          text: "在限定时间内内成功拼团，您将得到xx元的奖励金哦。",
          color: "#FF4600"
      }
    ]
  },

  //分享好友触发事件
  eventListener: function () {
    //console.log(1);
  },

  //规则页显示和隐藏
  hide: function () {
    this.setData({
      hideFlag: !this.data.hideFlag
    })
  },
  //显示分享页 
  share: function () {
    console.log(this.shareDialog)
    this.shareDialog.share();
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.setNavigationBarTitle({
      title: '拼团详情'
    })
    console.log(options.orderId);
    if(!options.orderId) {
      return false;
    }
    const orderId = options.orderId;
    this.setData({
      orderId
    })
    httpRequestApi.getMygroupInfo(orderId).success( res => {
      console.log('支付详情', res.data.data);
      const surplusNum = res.data.data.groupPurchaseOrder.headcount - res.data.data.groupPurchaseOrder.joinCount;
      for(var i = 0; i < surplusNum; i++) {
        this.data.surplusList.push(1);
      }
      //console.log(res.data.data.groupPurchaseOrder.closeTime - res.data.data.groupPurchaseOrder.gmtModified)
      //时间转换
      const timeList = util.formatTime(res.data.data.groupPurchaseOrder.closeTime - res.data.data.groupPurchaseOrder.gmtModified);
      this.setData({
        surplusNum,
        joinUserList: res.data.data.joinUserList,
        surplusList: this.data.surplusList,
        timeList,
        productId: res.data.data.groupPurchaseOrder.productId,
        groupId: res.data.data.groupPurchaseOrder.groupId
      })
    }).fail( error => {
      console.log('错误', error)
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    this.shareDialog = this.selectComponent("#share-dialog");
    
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function (ops) {
    if (ops.from === 'button') {
      console.log(ops.target)
    }
    const productId = this.data.productId;
    const groupId = this.data.groupId;
    const id = this.data.orderId;
    return {
      title: '小学课文朗读',
      path: `pages/groupPage/group-details/group-details?productId=${productId}&id=${id}&groupId=${groupId}`,
      imageUrl: '../../../static/groupImg/shareBg.png',
      success: function (res) {
        // 转发成功
        console.log("转发成功:" + JSON.stringify(res));
        var shareTickets = res.shareTickets;
        // if (shareTickets.length == 0) {
        //   return false;
        // }
        // //可以获取群组信息
        // wx.getShareInfo({
        //   shareTicket: shareTickets[0],
        //   success: function (res) {
        //     console.log(res)
        //   }
        // })
      },
      fail: function (res) {
        // 转发失败
        console.log("转发失败:" + JSON.stringify(res));
      }
    }
  }
})